#! /usr/bin/env python2
# -*- coding: utf-8 -*-
"""
Replacement (unofficial) `setup.py` for the `product` module.
Automatically generated by `openerpdist`. See http://noteed.com/openerpdist/.
"""

import setuptools

setuptools.setup(
    name = "openerp-product",
    version = "7.0.406",
    description = "Products & Pricelists",
    long_description = 
"""

This is the base module for managing products and pricelists in OpenERP.
========================================================================

Products support variants, different pricing methods, suppliers information,
make to stock/order, different unit of measures, packaging and properties.

Pricelists support:
-------------------
    * Multiple-level of discount (by product, category, quantities)
    * Compute price based on different criteria:
        * Other pricelist
        * Cost price
        * List price
        * Supplier price

Pricelists preferences by product and/or partners.

Print product labels with barcode.
    
""",
    url = "",
    author = "OpenERP SA",
    author_email = "TODO",
    classifiers = [
        "Development Status :: 5 - Production/Stable",
        "Environment :: Plugins",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: GNU Affero General Public License v3",
        "Natural Language :: English",
        "Programming Language :: Python :: 2.7",
        "Programming Language :: Python :: Implementation :: CPython",
    ],
    license = "AGPL-3",
    package_dir = {
        'openerp.addons.product': ".",
    },
    packages = ["openerp.addons.product","openerp.addons.product.report","openerp.addons.product.wizard"],
    package_data = {
        'openerp.addons.product': ["i18n/*.po*","partner_view.xml","product_image_demo.xml","product_pricelist_demo.yml","product_view.xml","product_demo.xml","product_shortcut_data.xml","pricelist_view.xml","product_data.xml","product_report.xml","images/products_form.jpeg","images/product_uom.jpeg","images/product.png","images/product_pricelists.jpeg","images/products_categories.jpeg","i18n/sk.po","i18n/id.po","i18n/hr.po","i18n/da.po","i18n/sl.po","i18n/es_MX.po","i18n/ru.po","i18n/zh_TW.po","i18n/cs.po","i18n/sq.po","i18n/fi.po","i18n/pt_BR.po","i18n/ko.po","i18n/bg.po","i18n/es_VE.po","i18n/tlh.po","i18n/nb_NB.po","i18n/es_PY.po","i18n/ja.po","i18n/ro.po","i18n/es_AR.po","i18n/sr@latin.po","i18n/es.po","i18n/mn.po","i18n/es_CL.po","i18n/it.po","i18n/am.po","i18n/nl.po","i18n/sv.po","i18n/es_EC.po","i18n/uk.po","i18n/bs.po","i18n/tr.po","i18n/de.po","i18n/et.po","i18n/lo.po","i18n/sr.po","i18n/lt.po","i18n/hu.po","i18n/vi.po","i18n/eu.po","i18n/el.po","i18n/gl.po","i18n/lv.po","i18n/mk.po","i18n/ca.po","i18n/fr.po","i18n/zh_CN.po","i18n/pl.po","i18n/th.po","i18n/nl_BE.po","i18n/nb.po","i18n/ar.po","i18n/pt.po","i18n/es_CR.po","test/product_pricelist.yml","test/product_uom.yml","security/ir.model.access.csv","security/product_security.xml","report/product_label.xml","report/product_pricelist.rml","report/product_price.xsl","report/product_pricelist.sxw","report/product_label.xsl","wizard/product_price_view.xml","process/product_process.xml","security/product_security.xml","security/ir.model.access.csv","wizard/product_price_view.xml","product_data.xml","product_report.xml","product_view.xml","product_shortcut_data.xml","pricelist_view.xml","partner_view.xml","process/product_process.xml","product_demo.xml","product_image_demo.xml"],
    },
    install_requires = ["openerp-core","openerp-process","openerp-decimal-precision","openerp-mail"],
    tests_require = ["unittest2"],
)
